GpgFrontend Project A Free, Powerful, Easy-to-Use, Compact, Cross-Platform, and Installation-Free OpenPGP(pgp) Crypto Tool.

Public Types | Public Member Functions | Private Attributes | List of all members
GpgFrontend::ThreadSafeMap< Key, Value > Class Template Reference
Inheritance diagram for GpgFrontend::ThreadSafeMap< Key, Value >:
Collaboration diagram for GpgFrontend::ThreadSafeMap< Key, Value >:

## Public Types
using | MapType = std::map< Key, Value >
using | IteratorType = typename MapType::iterator

## Public Member Functions
void | insert (const Key &key, const Value &value)
std::optional< Value > | get (const Key &key)
bool | exists (const Key &key)
IteratorType | begin ()
IteratorType | end ()
ThreadSafeMap & | mirror ()

## Private Attributes
MapType | map_mirror_
MapType | map_
std::shared_mutex | mutex_

The documentation for this class was generated from the following file:

- src/core/function/CacheManager.h